MyGUI: MyGUI::InputManager Class Reference

MyGUI 3.4.3

Public Member Functions | Static Public Member Functions | Data Fields
MyGUI::InputManager Class Reference

`#include <MyGUI_InputManager.h>`

Inheritance diagram for MyGUI::InputManager:
[legend]

## Public Member Functions
| InputManager (const InputManager &)=delete
InputManager & | operator= (const InputManager &)=delete
| InputManager ()
void | initialise ()
void | shutdown ()
bool | injectMouseMove (int _absx, int _absy, int _absz)
bool | injectMousePress (int _absx, int _absy, MouseButton _id)
bool | injectMouseRelease (int _absx, int _absy, MouseButton _id)
bool | injectKeyPress (KeyCode _key, Char _text=0)
bool | injectKeyRelease (KeyCode _key)
bool | isFocusMouse () const
bool | isFocusKey () const
bool | isCaptureMouse () const
void | setKeyFocusWidget (Widget *_widget)
void | resetKeyFocusWidget (Widget *_widget)
void | resetKeyFocusWidget ()
Widget * | getMouseFocusWidget () const
Widget * | getKeyFocusWidget () const
const IntPoint & | getLastPressedPosition (MouseButton _id) const
const IntPoint & | getMousePosition () const
IntPoint | getMousePositionByLayer () const
void | addWidgetModal (Widget *_widget)
void | removeWidgetModal (Widget *_widget)
bool | isModalAny () const
bool | isControlPressed () const
bool | isShiftPressed () const
bool | isAltPressed () const
bool | isMetaPressed () const
void | resetMouseCaptureWidget ()
void | unlinkWidget (Widget *_widget)
void | _resetMouseFocusWidget ()
Public Member Functions inherited from MyGUI::IUnlinkWidget
virtual | ~IUnlinkWidget ()=default
Public Member Functions inherited from MyGUI::MemberObsolete< InputManager >
const IntPoint & | getLastLeftPressed () const
const IntPoint & | getLastRightPressed () const

## Static Public Member Functions
static InputManager & | getInstance ()
static InputManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Data Fields
delegates::MultiDelegate< Widget * > | eventChangeMouseFocus
delegates::MultiDelegate< Widget * > | eventChangeKeyFocus

## Detailed Description

Definition at line 26 of file MyGUI_InputManager.h.

## Constructor & Destructor Documentation

## ◆ InputManager() [1/2]

MyGUI::InputManager::InputManager | ( | const InputManager & |  | ) |
| delete

## ◆ InputManager() [2/2]

MyGUI::InputManager::InputManager | ( |  | ) |

Definition at line 24 of file MyGUI_InputManager.cpp.

## Member Function Documentation

## ◆ _resetMouseFocusWidget()

void MyGUI::InputManager::_resetMouseFocusWidget | ( |  | ) |

Definition at line 441 of file MyGUI_InputManager.cpp.

## ◆ addWidgetModal()

void MyGUI::InputManager::addWidgetModal | ( | Widget * | _widget | ) |

Add modal widget - all other widgets inaccessible while modal widget exist

Definition at line 503 of file MyGUI_InputManager.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::InputManager::getClassTypeName | ( |  | ) |
| static

## ◆ getInstance()

InputManager & MyGUI::InputManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

InputManager * MyGUI::InputManager::getInstancePtr | ( |  | ) |
| static

## ◆ getKeyFocusWidget()

Widget * MyGUI::InputManager::getKeyFocusWidget | ( |  | ) | const

Get key focused widget

Definition at line 643 of file MyGUI_InputManager.cpp.

## ◆ getLastPressedPosition()

const IntPoint & MyGUI::InputManager::getLastPressedPosition | ( | MouseButton | _id | ) | const

Get position of last mouse button press. Position calculated on specific layer where mouse was pressed.

Definition at line 648 of file MyGUI_InputManager.cpp.

## ◆ getMouseFocusWidget()

Widget * MyGUI::InputManager::getMouseFocusWidget | ( |  | ) | const

Get mouse focused widget

Definition at line 638 of file MyGUI_InputManager.cpp.

## ◆ getMousePosition()

const IntPoint & MyGUI::InputManager::getMousePosition | ( |  | ) | const

Get current mouse position on screen

Definition at line 657 of file MyGUI_InputManager.cpp.

## ◆ getMousePositionByLayer()

IntPoint MyGUI::InputManager::getMousePositionByLayer | ( |  | ) | const

Get mouse position on current layer. This position might different from getMousePosition() if mouse is over non-2d layer.

Definition at line 606 of file MyGUI_InputManager.cpp.

## ◆ initialise()

void MyGUI::InputManager::initialise | ( |  | ) |

Definition at line 31 of file MyGUI_InputManager.cpp.

## ◆ injectKeyPress()

bool MyGUI::InputManager::injectKeyPress | ( | KeyCode | _key,
|  | Char | _text = 0 )

Inject KeyPress event

Returns
  true if event has been processed by GUI

Definition at line 341 of file MyGUI_InputManager.cpp.

## ◆ injectKeyRelease()

bool MyGUI::InputManager::injectKeyRelease | ( | KeyCode | _key | ) |

Inject KeyRelease event

Returns
  true if event has been processed by GUI

Definition at line 360 of file MyGUI_InputManager.cpp.

## ◆ injectMouseMove()

bool MyGUI::InputManager::injectMouseMove | ( | int | _absx,
|  | int | _absy,
|  | int | _absz )

Inject MouseMove event

Returns
  true if event has been processed by GUI

Definition at line 73 of file MyGUI_InputManager.cpp.

## ◆ injectMousePress()

bool MyGUI::InputManager::injectMousePress | ( | int | _absx,
|  | int | _absy,
|  | MouseButton | _id )

Inject MousePress event

Returns
  true if event has been processed by GUI

Definition at line 212 of file MyGUI_InputManager.cpp.

## ◆ injectMouseRelease()

bool MyGUI::InputManager::injectMouseRelease | ( | int | _absx,
|  | int | _absy,
|  | MouseButton | _id )

Inject MouseRelease event

Returns
  true if event has been processed by GUI

Definition at line 285 of file MyGUI_InputManager.cpp.

## ◆ isAltPressed()

bool MyGUI::InputManager::isAltPressed | ( |  | ) | const

Is alt button pressed

Definition at line 677 of file MyGUI_InputManager.cpp.

## ◆ isCaptureMouse()

bool MyGUI::InputManager::isCaptureMouse | ( |  | ) | const

Is any widget captured mouse

Definition at line 623 of file MyGUI_InputManager.cpp.

## ◆ isControlPressed()

bool MyGUI::InputManager::isControlPressed | ( |  | ) | const

Is control button pressed

Definition at line 667 of file MyGUI_InputManager.cpp.

## ◆ isFocusKey()

bool MyGUI::InputManager::isFocusKey | ( |  | ) | const

Is any widget have key focus (any widget might have it, not only EditBox or something similar)

Definition at line 618 of file MyGUI_InputManager.cpp.

## ◆ isFocusMouse()

bool MyGUI::InputManager::isFocusMouse | ( |  | ) | const

Is any widget have mouse focus

Definition at line 613 of file MyGUI_InputManager.cpp.

## ◆ isMetaPressed()

bool MyGUI::InputManager::isMetaPressed | ( |  | ) | const

Is meta ("Windows key" or macOS "Command" key) button pressed

Definition at line 682 of file MyGUI_InputManager.cpp.

## ◆ isModalAny()

bool MyGUI::InputManager::isModalAny | ( |  | ) | const

Return true if any modal widget exist

Definition at line 662 of file MyGUI_InputManager.cpp.

## ◆ isShiftPressed()

bool MyGUI::InputManager::isShiftPressed | ( |  | ) | const

Is shift button pressed

Definition at line 672 of file MyGUI_InputManager.cpp.

## ◆ operator=()

InputManager & MyGUI::InputManager::operator= | ( | const InputManager & |  | ) |
| delete

## ◆ removeWidgetModal()

void MyGUI::InputManager::removeWidgetModal | ( | Widget * | _widget | ) |

Remove modal widget

Definition at line 517 of file MyGUI_InputManager.cpp.

## ◆ resetKeyFocusWidget() [1/2]

void MyGUI::InputManager::resetKeyFocusWidget | ( |  | ) |

Drop any key focus

Definition at line 633 of file MyGUI_InputManager.cpp.

## ◆ resetKeyFocusWidget() [2/2]

void MyGUI::InputManager::resetKeyFocusWidget | ( | Widget * | _widget | ) |

Drop key focus for _widget

Definition at line 600 of file MyGUI_InputManager.cpp.

## ◆ resetMouseCaptureWidget()

void MyGUI::InputManager::resetMouseCaptureWidget | ( |  | ) |

Reset mouse capture. For example when we dragging and application lost focus you should call this.

Definition at line 687 of file MyGUI_InputManager.cpp.

## ◆ setKeyFocusWidget()

void MyGUI::InputManager::setKeyFocusWidget | ( | Widget * | _widget | ) |

Set key focus for _widget

Definition at line 388 of file MyGUI_InputManager.cpp.

## ◆ shutdown()

void MyGUI::InputManager::shutdown | ( |  | ) |

Definition at line 61 of file MyGUI_InputManager.cpp.

## ◆ unlinkWidget()

void MyGUI::InputManager::unlinkWidget | ( | Widget * | _widget | ) |

Unlink widget from input manager.

Definition at line 695 of file MyGUI_InputManager.cpp.

## Field Documentation

## ◆ eventChangeKeyFocus

delegates::MultiDelegate<Widget*> MyGUI::InputManager::eventChangeKeyFocus

Event : MultiDelegate. Key focus was changed.
signature : void method(MyGUI::Widget* _widget)

Parameters

  _widget |

Definition at line 127 of file MyGUI_InputManager.h.

## ◆ eventChangeMouseFocus

delegates::MultiDelegate<Widget*> MyGUI::InputManager::eventChangeMouseFocus

Event : MultiDelegate. Mouse focus was changed.
signature : void method(MyGUI::Widget* _widget)

Parameters

  _widget |

Definition at line 121 of file MyGUI_InputManager.h.

The documentation for this class was generated from the following files:

- MyGUI_InputManager.h
- MyGUI_InputManager.cpp